Module java.desktop
Package java.awt

## Interface PrintGraphics

    public interface PrintGraphics

An abstract class which provides a print graphics context for a page.

### Method Summary

All Methods Instance Methods Abstract Methods
`PrintJob` `getPrintJob()` Returns the PrintJob object from which this PrintGraphics object originated.

### Method Detail

#### getPrintJob

    PrintJob getPrintJob()

Returns the PrintJob object from which this PrintGraphics object originated.

Returns:
  the print job for this object